#coding:utf-8
import textwrap
class Modules(object):
    """
    Configure node kdump.
    """
    def __init__(self, command):
        self.cmd = command

    @property
    def __help__(self):
        info = """
        #==============================================================
        # %s
        #
        # module_path: %s
        # module_name: %s
        #==============================================================
        """ % (self.__doc__.strip(), self.__module__.strip(), self.__repr__())
        return info

    def run(self, args):

        content = []
        content.append(self.__help__)
        content.append("%addon com_redhat_kdump --disable --reserve-mb='auto'")
        self.cmd.ks.addAddons(content)

    def __repr__(self):
        return "kickstart-addons"
